import premierlibrary from 'libpremierlibrary.so';
export class ListPlayerBase {
    constructor(r22, s22, t22, u22) {
        this.mNativeContext = 0;
        this.getNativeContext = () => {
            return this.mNativeContext;
        };
        this.setNativeContext = (x22) => {
            this.mNativeContext = x22;
        };
        premierlibrary.nListConstruct(this, s22, t22, u22);
    }
    stop() {
        premierlibrary.nListStop(this);
    }
    removeSource(q22) {
        premierlibrary.nListRemoveSource(this, q22);
    }
    clear() {
        premierlibrary.nListClear(this);
    }
    getCurrentUid() {
        return premierlibrary.nListGetCurrentUid(this);
    }
    setPreloadCount(p22) {
        premierlibrary.nListSetPreloadCount(this, p22);
    }
    setPreloadCountWithPrevAndNext(n22, o22) {
        premierlibrary.nListSetPreloadCountWithPrevAndNext(this, n22, o22);
    }
    setPreloadScene(m22) {
        premierlibrary.nListSetPreloadScene(this, m22);
    }
    enablePreloadStrategy(k22, l22) {
        premierlibrary.nListEnablePreloadStrategy(this, k22, l22);
    }
    setPreloadStrategyParam(i22, j22) {
        premierlibrary.nListSetPreloadStrategyParam(this, i22, j22);
    }
    setMaxPreloadMemorySizeMB(h22) {
        premierlibrary.nListSetMaxPreloadMemorySizeMB(this, h22);
    }
    getMaxPreloadMemorySizeMB() {
        return premierlibrary.nListGetMaxPreloadMemorySizeMB(this);
    }
    SetMultiBitratesMode(g22) {
        premierlibrary.nListSetMultiBitratesMode(this, g22);
    }
    GetMultiBitratesMode() {
        return premierlibrary.nListGetMultiBitratesMode(this);
    }
    release() {
        premierlibrary.nListRelease(this);
    }
}
